/*
 *  Ese printf
 *
 *  Written by TAKAI Kousuke
 */

#ifndef _PRINTF_H_
#define _PRINTF_H_

extern int fdprintf (int __fd, const char *__fmt, ...)
	__attribute__ ((__format__ (__printf__, 2, 3)));
extern int sprintf (char *__buf, const char *__fmt, ...)
	__attribute__ ((__format__ (__printf__, 2, 3)));

#ifdef __GNUC_VA_LIST
extern int vsprintf (char *__buf, const char *__fmt, __gnuc_va_list __args)
	__attribute__ ((__format__ (__printf__, 2, 0)));
extern int vfdprintf (int __fd, const char *__fmt, __gnuc_va_list __args)
	__attribute__ ((__format__ (__printf__, 2, 0)));
#endif

extern int printf (const char *__fmt, ...)
	__attribute__ ((__format__ (__printf__, 1, 2)));

#endif
