#ifndef _ZX_TIME_H_
#define _ZX_TIME_H_

#include <sys/cdefs.h>
#include <sys/types.h>

#include <linux/time.h>

struct tm
  {
    int	tm_sec;		/* seconds */
    int	tm_min;		/* minutes */
    int	tm_hour;	/* hours */
    int	tm_mday;	/* day of the month */
    int	tm_mon;		/* month */
    int	tm_year;	/* year */
    int	tm_wday;	/* day of the week */
    int	tm_yday;	/* day in the year */
    int	tm_isdst;	/* daylight saving time */
  };

__BEGIN_DECLS

extern struct tm *localtime __P ((const time_t *));
extern char *ctime __P ((const time_t *));

__END_DECLS

#endif
