#include <asm/signal.h>

const char *const sys_siglist[_NSIG] = {
  [SIGHUP] = "Hangup",
  [SIGINT] = "Interrupt",
  [SIGQUIT] = "Quit",
  [SIGILL] = "Illegal Instruction",
  [SIGTRAP] = "Trace/breakpoint trap",
  [SIGABRT] = "Aborted",
  [SIGBUS] = "Bus error",
  [SIGFPE] = "Floating point exception",
  [SIGKILL] = "Killed",
  [SIGUSR1] = "User defined signal 1",
  [SIGSEGV] = "Segmentation fault",
  [SIGUSR2] = "User defined signal 2",
  [SIGPIPE] = "Broken pipe",
  [SIGALRM] = "Alarm clock",
  [SIGTERM] = "Terminated",
  [SIGSTKFLT] = "Stack fault",
  [SIGCHLD] = "Child exited",
  [SIGCONT] = "Continued",
  [SIGSTOP] = "Stopped (signal)",
  [SIGTSTP] = "Stopped",
  [SIGTTIN] = "Stopped (tty input)",
  [SIGTTOU] = "Stopped (tty output)",
  [SIGURG] = "Urgent I/O condition",
  [SIGXCPU] = "CPU time limit exceeded",
  [SIGXFSZ] = "File size limit exceeded",
  [SIGVTALRM] = "Virtual timer expired",
  [SIGPROF] = "Profiling timer expired",
  [SIGWINCH] = "Window changed",
  [SIGIO] = "I/O possible",
  [SIGPWR] = "Power failure",
};
